org.jbpm.process.audit.query

## Class NodeInstLogQueryBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder>
    - - org.jbpm.process.audit.query.NodeInstLogQueryBuilderImpl

- All Implemented Interfaces:
    org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder>, org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder>, org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder

      public class NodeInstLogQueryBuilderImpl
      extends AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder>
      implements org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder

      `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder.OrderBy`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl

      `executor, jpaAuditService`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeInstLogQueryBuilderImpl(org.kie.api.runtime.CommandExecutor cmdService)`
    `NodeInstLogQueryBuilderImpl(JPAAuditLogService jpaAuditService)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.query.ParametrizedQuery<org.kie.api.runtime.manager.audit.NodeInstanceLog>` | `buildQuery()`
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `nodeId(String... nodeId)`
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `nodeInstanceId(String... nodeInstanceId)`
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `nodeName(String... name)`
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `nodeType(String... type)`
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `orderBy(org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder.OrderBy field)`
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `workItemId(long... workItemId)`

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl

      `date, dateRangeEnd, dateRangeStart, getJpaAuditLogService, processId, processInstanceId`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, ascending, clear, descending, equals, getQueryData, intersect, like, maxResults, offset, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder

      `date, dateRangeEnd, dateRangeStart`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder

      `processId, processInstanceId`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `ascending, clear, descending, equals, intersect, like, maxResults, offset, union`

- - ### Constructor Detail

    - #### NodeInstLogQueryBuilderImpl

          public NodeInstLogQueryBuilderImpl(org.kie.api.runtime.CommandExecutor cmdService)

    - #### NodeInstLogQueryBuilderImpl

          public NodeInstLogQueryBuilderImpl(JPAAuditLogService jpaAuditService)

  - ### Method Detail

    - #### nodeInstanceId

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder nodeInstanceId(String... nodeInstanceId)

      Specified by:
        `nodeInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder`

    - #### nodeId

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder nodeId(String... nodeId)

      Specified by:
        `nodeId` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder`

    - #### nodeName

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder nodeName(String... name)

      Specified by:
        `nodeName` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder`

    - #### nodeType

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder nodeType(String... type)

      Specified by:
        `nodeType` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder`

    - #### workItemId

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder workItemId(long... workItemId)

      Specified by:
        `workItemId` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder`

    - #### orderBy

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder orderBy(org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder.OrderBy field)

      Specified by:
        `orderBy` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder`

    - #### buildQuery

          public org.kie.internal.query.ParametrizedQuery<org.kie.api.runtime.manager.audit.NodeInstanceLog> buildQuery()

      Specified by:
        `buildQuery` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.